Skip to main content
GET
/
members
/
{member_id}
Returns a Member.
curl --request GET \
  --url https://api.sandbox.goteal.co/members/{member_id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.sandbox.goteal.co/members/{member_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.sandbox.goteal.co/members/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "john.smith@goteal.co",
  "role": "Owner",
  "status": "unconfirmed",
  "mfa_status": "sms",
  "name": "John Smith"
}
{
"errors": [
"The request is missing the required field `name`"
]
}
{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

member_id
string
required

ID of the Member to get

Response

OK

email
string<email>
required
Example:

"john.smith@goteal.co"

role
string
required

The Role of the Member

Example:

"Owner"

status
enum<string>
required
read-only

the status of the Member

Available options:
unconfirmed,
confirmed,
archived,
compromised,
unknown,
reset_required,
force_change_password,
external_provider
Example:

"unconfirmed"

mfa_status
enum<string>
required
read-only

the status of the Member

Available options:
sms,
email,
disabled
Example:

"sms"

name
string

Names of the Member

Example:

"John Smith"